=== debian/changelog ===
git-secret (0.2.3-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 16:07:27 +0100

git-secret (0.2.3-1) unstable; urgency=low

  * Initial release. Closes: #888115

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 25 Jan 2018 11:30:01 +0800
