=== debian/control ===
Source: git-secret
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: vcs
Priority: optional
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/git-secret
Vcs-Git: https://salsa.debian.org/debian/git-secret.git
Homepage: https://github.com/sobolevn/git-secret

Package: git-secret
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         coreutils (>= 8.21),
         gawk,
         git,
         gpg
Description: store encrypted credential inside source code git repository
 git-secret is designed to solve the problem where to store the credential file
 (e.g. password, token, ...) for a service. With git-secret, Encrypted
 credential can be stored along with source code in git repository.
