=== debian/changelog ===
git-secret (0.4.0-1) unstable; urgency=medium

  * New upstream release (Closes: #919722).
  * Bump Standards-Version to 4.6.0.
    * Add `Rules-Requires-Root: no`.
    * Add d/upstream/metadata.
  * Bump compat to 13.
  * Update d/watch.
  * Remove unused Depends.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 04 Feb 2022 14:47:30 +0800
