=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: vcs
 Priority: optional
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.3
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/git-secret
 Vcs-Git: https://salsa.debian.org/debian/git-secret.git
 Homepage: https://github.com/sobolevn/git-secret
@@ -12,7 +13,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-         ${shlibs:Depends},
          coreutils (>= 8.21),
          gawk,
          git,
