=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_test:
        # Need network to run auto test

override_dh_auto_install:
