=== debian/changelog ===
git-secret (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 18 Sep 2022 00:13:08 +0800
