=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%git-secret-$1.tar.gz%" \
    https://github.com/sobolevn/git-secret/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
